Subject: bug#46339: 28.0.50; ERC likely bug with `erc-previous-command'

From: Emanuel Berg <[email-masked]>
Date: Sat, 20 Feb 2021 03:35:44 +0100

J.P. wrote:

>> what does that mean? `erc-next-command' works so a bug is
>> perhaps likely.
>
> I think it's expecting an erc-input struct object, as passed
> by the hook erc-pre-send-functions.
>
> Would something like the following work?

Sorry for the delay. I didn't know how to apply the patch.
Got help from #erc [last]

And it works! Bug gone!

Great job General Purpose! (Jeep :)) J.P.

My #3 ERC bug - I'm rolling. Now when I know how to apply
patches, ikr? the sky is the limit :)

So, accept the patch already :P

[how to apply a patch]

Emacs source root:

  $ patch -p1 < PATCH

Then byte-compile:

  $ emacs --batch -f batch-byte-compile FILES

-- 
underground experts united
http://user.it.uu.se/~embe8573
https://dataswamp.org/~incal